Subject: Re: [PWE3] draft-tsenevir-gre-subip-00.txt - Comments

From: Eric Rosen <[email-masked]>
Date: Thu, 13 Mar 2003 11:06:53 -0500

PWE3  has already  specified a  pure  IP encaps  (with L2TPv3)  and an  MPLS
encaps.   It is also  possible, as  Andy points  out, to  use the  PWE3 MPLS
encaps on an IP network. 

So I'd have  to ask what requirement your proposal  addresses that cannot be
satisfied with the existing specifications? 

I don't  think that "use GRE with  the payload protocol id  encoded into the
key field" is a valid requirement.

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 13 Mar 2003 16:22:33 +0000

Tissa Senevirathne wrote:
> 
> Andy
> 
> In addition to carrying IP we are also now talking about carrying 
> Ethernet or even ATM cells, FrameRelay. So the motivation is to come up 
> with a unfied approach that does not have to depend on MPLS. In that 
> sense I think, the new submission covers areas that is not covered in 
> draft-ietf-mpls-in-ip-or-gre-00.txt.
> 
> Why would one wanted to do encapsulate in MPLS and then MPLS in IP, if 
> one can directly encapsulate in to IP ?
> 

L2TPv3 is already specified for the above payloads, and unlike GRE has an 
control protocol?

Stewart

> Thanks
> 
> Tissa
> 
> 
>> From: "Andrew G. Malis" <[email-masked]>
>> To: "Tissa Senevirathne" <[email-masked]>
>> CC: [email-masked], [email-masked], [email-masked]
>> Subject: Re: [PWE3] draft-tsenevir-gre-subip-00.txt - Comments
>> Date: Thu, 13 Mar 2003 09:53:48 -0500
>>
>> Tissa,
>>
>> We already have a method of using GRE to carry sub-ip protocols, by 
>> using draft-ietf-mpls-in-ip-or-gre-00.txt.  Do we really need another?
>>
>> Thanks,
>> Andy
>>
>> -------
>>
>> At 3/12/2003 03:46 PM +0000, Tissa Senevirathne wrote:
>>
>>
>>
>>
>>> Following draft present a unified method of transporting sub-ip 
>>> protocols and services using GRE. In this draft we propose to use a 
>>> unique GRE protocol type to represent sub-ip encapsulations. Part of 
>>> the GRE Key is used to identify the type of the protocol/service that 
>>> is emulated within the sub-ip family. This approach avoids use of 
>>> multiple different protocol types emulate many services presented in 
>>> sub-ip area.
>>>
>>> http://www.ietf.org/internet-drafts/draft-tsenevir-gre-subip-00.txt
>>>
>>>
>>>
>>> _________________________________________________________________
>>> The new MSN 8: smart spam protection and 2 months FREE*
>>> http://join.msn.com/?page=features/junkmail
>>>
>>> _______________________________________________
>>> pwe3 mailing list
>>> [email-masked]
>>> https://www1.ietf.org/mailman/listinfo/pwe3
>>
>>
>> _______________________________________________
>> pwe3 mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/pwe3
> 
> 
> 
> _________________________________________________________________
> Add photos to your e-mail with MSN 8. Get 2 months FREE*.  
> http://join.msn.com/?page=features/featuredemail
> 
> 
> 
> 
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 13 Mar 2003 14:25:01 -0500

Tissa,

As Eric pointed out, we already also have L2TPv3 defined in the PWE3 WG for 
a pure IP encapsulation without MPLS.  I agree with Eric that we're all set 
with the already available choices.

Cheers,
Andy

-------

At 3/13/2003 03:34 PM +0000, Tissa Senevirathne wrote:

>Andy
>
>In addition to carrying IP we are also now talking about carrying Ethernet 
>or even ATM cells, FrameRelay. So the motivation is to come up with a 
>unfied approach that does not have to depend on MPLS. In that sense I 
>think, the new submission covers areas that is not covered in 
>Why would one wanted to do encapsulate in MPLS and then MPLS in IP, if one 
>can directly encapsulate in to IP ?
>
>Thanks
>
>Tissa
>
>
>>We already have a method of using GRE to carry sub-ip protocols, by using 
>>draft-ietf-mpls-in-ip-or-gre-00.txt.  Do we really need another?
>>
>>Thanks,
>>Andy
>>
>>-------
>>
>>>unique GRE protocol type to represent sub-ip encapsulations. Part of the 
>>>GRE Key is used to identify the type of the protocol/service that is 
>>>emulated within the sub-ip family. This approach avoids use of multiple 
>>>different protocol types emulate many services presented in sub-ip area.
>>>